package inheritance.x1;

import java.time.LocalDate;
import java.time.Month;

public class Ergazomenos extends Person {
    private LocalDate hiringDate;

    public Ergazomenos(LocalDate hiringDate, String fName, String sName, Gender gender) {
        super(fName, sName, gender);
        this.hiringDate = hiringDate;
    }

    public LocalDate getHiringDate() {
        return hiringDate;
    }

    public void setHiringDate(LocalDate hiringDate) {
        this.hiringDate = hiringDate;
    }
    
    @Override
    public String toString() {
        return super.toString()+", Hiring Date: "+hiringDate;
    }
    
    public static void main(String[] args) {
        Ergazomenos jim=new Ergazomenos(LocalDate.of(1999, Month.MARCH, 2), "Jim", "Black", Gender.MALE);
        System.out.println(jim);
    }
    
    
    
}
