package inheritance.x1;

public class Project {
    private Misthotos[] misthotoi;
    private Wromisthios[] wromisthioi;
    private int arMisthotwn, arWromisthiwn;

    public Project(int arMisthotwn, int arWromisthiwn) {
        misthotoi=new Misthotos[arMisthotwn];
        wromisthioi=new Wromisthios[arWromisthiwn];
        this.arMisthotwn = arMisthotwn;
        this.arWromisthiwn = arMisthotwn;
    }
    
    public boolean add(Misthotos misthotos) {
        for (int i=0; i<arMisthotwn; i++)
            if (misthotoi[i]==null) {
                misthotoi[i]=misthotos;
                return true;
            }
        return false;
    }
    
    public void set(Misthotos misthotos, int loc) {
        if (loc>=arMisthotwn) throw new RuntimeException();
        misthotoi[loc]=misthotos;
    }

    public Misthotos getMisthotos(int i) {
        if (i>=arMisthotwn) throw new RuntimeException();
        return misthotoi[i];
    }
    
    public boolean add(Wromisthios wromisthios) {
        for (int i=0; i<arWromisthiwn; i++)
            if (wromisthioi[i]==null) {
                wromisthioi[i]=wromisthios;
                return true;
            }
        return false;
    }
    
    public Wromisthios getWromisthios(int i) {
        if (i>=arWromisthiwn) throw new RuntimeException();
        return wromisthioi[i];
    }
    
    public void set(Wromisthios wromisthios, int loc) {
        if (loc>=arWromisthiwn) throw new RuntimeException();
        wromisthioi[loc]=wromisthios;
    }
    
    public double getKostos(double d, int t) {
        double rVal=0;
        for (Misthotos misthotos: misthotoi) {
            rVal+=misthotos.getSalary()*d;
        }
        for (Wromisthios wromisthios: wromisthioi) {
            rVal+=wromisthios.kostos(t);
        }
        return rVal;
    }
    
    
    
    
    
}
